### Legacy ODT REST API (Deprecated)

This REST API is deprecated and will be sunset at some point in 2026 with prior communication from the team. For new integrations, use the updated [ODT export REST API](/content/docs/conversion/export/odt/rest-api/index.html) and [import REST API](/content/docs/conversion/import/docx/rest-api/index.html).

The ODT document conversion API supports conversion from and to Tiptap's JSON format.

### Import API endpoint

`POST /import`

The `/import` endpoint enables the conversion of `ODT` files into Tiptap's JSON format. Users can POST documents to this endpoint.

### Example (cURL)

```
curl -X POST "https://api.tiptap.dev/v1/convert/import" \
  -H "Authorization: Bearer <your-jwt>" \
  -H "X-App-Id: <your-app-id>" \
  -F "file=@/path/to/document.odt"
```

In this example, the request uploads an ODT file

### Required headers

| Name | Description |
| --- | --- |
| `Authorization` | The JWT to authenticate the request. Example: `Bearer your-jwt` |
| `X-App-Id` | The Convert App-ID from the Collaboration settings page: [https://cloud.tiptap.dev/convert-settings](https://cloud.tiptap.dev/convert-settings) |

### Body

| Name | Type | Description |
| --- | --- | --- |
| `file` | `File` | The file to convert |
| `imageUploadCallbackUrl` | `string` | The callback endpoint to upload images that were encountered within the uploaded document |

## Export API endpoint

`POST /export`

The `/export` endpoint converts Tiptap documents back into the `odt` format.

### Required headers

### Body

| Name | Type | Description |
| --- | --- | --- |
| `prosemirrorJson` | `Object` | Tiptap/ProseMirror JSON |
| `to` | `string` | The format to convert to, should be `odt` |

[PreviouslyODT (legacy)](/content/docs/conversion/legacy/odt/editor-extensions/index.html)
